[3.6.0]
*Gyroid infill
New infill pattern with enhanced strength properties. Gyroid infill is one of the strongest infill types for a given weight, has isotropic properties, and prints relatively fast with reduced material use and a fully connected part interior. Note: Slicing time can increase up to 40 seconds or more, depending on the model. Contributed by smartavionics.

*Support brim
New setting that integrates the first layer of support material with the brim’s geometry. This significantly improves adhesion when printing with support material. Contributed by BagelOrb.

*Cooling fan number
It is now possible to specify the cooling fan to use if your printer has multiple fans. This is implemented under Machine settings in the Extruder tab. Contributed by smartavionics.

*Settings refactor
The CuraEngine has been refactored to create a more testable, future-proof way of storing and representing settings. This makes slicing faster, and future development easier.

*Print core CC 0.6
The new print core CC 0.6 is selectable when the Ultimaker S5 profile is active. This print core is optimized for use with abrasive materials and composites.

*File name and layer display
Added M117 commands to GCODE to give real-time information about the print job file name and layer number shown on the printer’s display when printing via USB. Contributed by adecastilho.

*Firmware checker/Ultimaker S5
The update checker code has been improved and tested for more reliable firmware update notifications in Ultimaker Cura. The Ultimaker S5 is now included.

*Fullscreen mode shortcuts
Fullscreen mode can be toggled using the View menu or with the keyboard shortcuts: Command + Control + F (macOS), or F11 (Windows and Linux). Contributed by KangDroid.

*Configuration error message
In previous versions, Ultimaker Cura would display an error dialog explaining when something happened to user configuration files, including the option to reset to factory defaults. This would not warn about losing the current printer and print profile settings, so this information has been added.

*Rename Toolbox to Marketplace
The entry points to the Toolbox are now renamed to Marketplace.

*Materials in the Marketplace
A new tab has been added to the Marketplace that includes downloadable material profiles, to quickly and easily prepare models for a range of third-party materials.

*New third-party definitions
New profiles added for Anycube 4MAx and Tizyx K25. Contributed by jscurtu and ValentinPitre respectively.

*Improved definitions for Ender-3
The Ender-3 build plate size has been adjusted to the correct size of 235 x 235 mm, corrected the start-up sequence, and the printhead position has been adjusted when prints are purged or completed. Contributed by stelgenhof.

*Add mesh names to slicing message
Added comment generation to indicate which mesh the GCODE after this comment is constructing. Contributed by paukstelis.

*Bug fixes
- The active material is highlighted in Ultimaker Cura’s material manager list. This behavior is now consistent with the profile and machine manager.
- The option to use 1.75 mm diameter filament with third-party 3D printers is now fixed and does not revert back to 2.85 mm. This fix also applies the appropriate a Z-axis speed change for 1.75 mm filament printers. Contributed by kaleidoscopeit.
- A fix was created to handle OSX version 10.10, but due to the QT upgrade, users with older versions won’t be able to run Ultimaker Cura on their system without a system update. This applies to OSX version 10.09 and 10.08.
- Fixed a memory leak when leaving the “Monitor” page open.
- Added performance improvements to the PolygonConnector to efficiently connect polygons that are close to each other. This also reduces the chances of the print head collide with previously printed things. Contributed by BagelOrb.
- Fixed a bug where the GCODE reader didn’t show retractions.
- Changes the USBPrinting update thread to prevent flooding the printer with M105 temperature update requests. Contributed by fieldOfView.
- Fix the behavior of the "manage visible settings" button, when pressing the "cog" icon of a particular category. Contributed by fieldOfView.
- Add a new post processing script that pauses the print at a certain height that works with RepRap printers. Contributed by Kriechi.
- Fix updates to the print monitor temperatures while preheating. Contributed by fieldOfView.
- Fixed a bug where material cost is not shown unless weight is changed.
- Fixed bugs crashing the CuraEngine when TreeSupport is enabled.
- Fixed a bug where Ultimaker Cura would upload the wrong firmware after switching printers in the UI.
- Fixed a bug where the layer view was missing if the first layer was empty.
- Fixed a bug where erroneous combing movements were taking place.
- Fixed a bug where the initial layer temperature is set correctly for the first object but then never again.
- Fixed a bug where clicking the fx icon didn’t respond.

[3.5.1]
*Bug fixes
- Fixed M104 temperature commands giving inaccurate results.
- Fixed crashes caused by loading files from USB stick on Windows platforms.
- Fixed several issues with configuration files that missed the type in the metadata.
- Fixed issues caused by skin/infill optimization.
- Fixed several issues related to missing definition files for third-party printers.
- Fixed an issue where combing path generation cuts corners.
- Fixed a range of crashes caused by lock files.
- Fixed issues with remembering save directories on MacOS.
- Fixed an issue where CuraEngine uses incorrect material settings.
- Fixed an issue where some support layers don't have support infill.

[3.5.0]
*Monitor page
The monitor page of Ultimaker Cura has been remodeled for better consistency with the Cura Connect ‘Print jobs’ interface. This means less switching between interfaces, and more control from within Ultimaker Cura.

*Open recent projects
Project files can now be found in the ‘Open Recent’ menu.

*New tool hotkeys
New hotkeys have been assigned for quick toggling between the translate (T), scale (S), rotate (R) and mirror (M) tools.

*Project files use 3MF only
A 3MF extension is now used for project files. The ‘.curaproject’ extension is no longer used.

*Camera maximum zoom
The maximum zoom has been adjusted to scale with the size of the selected printer. This fixes third-party printers with huge build volumes to be correctly visible.

*Corrected width of layer number box
The layer number indicator in the layer view now displays numbers above 999 correctly.

*Materials preferences
This screen has been redesigned to improve user experience. Materials can now be set as a favorites, so they can be easily accessed in the material selection panel at the top-right of the screen.

*Installed packages checkmark
Packages that are already installed in the Toolbox are now have a checkmark for easy reference.

*Mac OSX save dialog
The save dialog has been restored to its native behavior and bugs have been fixed.

*Removed .gz extension
Saving compressed g-code files from the save dialog has been removed because of incompatibility with MacOS. If sending jobs over Wi-Fi, g-code is still compressed.

*Updates to Chinese translations
Improved and updated Chinese translations. Contributed by MarmaladeForMeat.

*Save project
Saving the project no longer triggers the project to reslice.

*File menu
The Save option in the file menu now saves project files. The export option now saves other types of files, such as STL.

*Improved processing of overhang walls
Overhang walls are detected and printed with different speeds. It will not start a perimeter on an overhanging wall. The quality of overhanging walls may be improved by printing those at a different speed. Contributed by smartavionics.

*Prime tower reliability
The prime tower has been improved for better reliability. This is especially useful when printing with two materials that do not adhere well.

*Support infill line direction
The support infill lines can now be rotated to increase the supporting capabilities and reduce artifacts on the model. This setting rotates existing patterns, like triangle support infill. Contributed by fieldOfView.

*Minimum polygon circumference
Polygons in sliced layers that have a circumference smaller than the setting value will be filtered out. Lower values lead to higher resolution meshes at the cost of increased slicing time. This setting is ideal for very tiny prints with a lot of detail, or for SLA printers. Contributed by cubiq.

*Initial layer support line distance
This setting enables the user to reduce or increase the density of the support initial layer in order to increase or reduce adhesion to the build plate and the overall strength.

*Extra infill wall line count
Adds extra walls around infill. Contributed by BagelOrb.

*Multiply infill
Creates multiple infill lines on the same pattern for sturdier infill. Contributed by BagelOrb.

*Connected infill polygons
Connecting infill lines now also works with concentric and cross infill patterns. The benefit would be stronger infill and more consistent material flow/saving retractions. Contributed by BagelOrb.

*Fan speed override
New setting to modify the fan speed of supported areas. This setting can be found in Support settings > Fan Speed Override when support is enabled. Contributed by smartavionics.

*Minimum wall flow
New setting to define a minimum flow for thin printed walls. Contributed by smartavionics.

*Custom support plugin
A tool downloadable from the toolbox, similar to the support blocker, that adds cubes of support to the model manually by clicking parts of it. Contributed by Lokster.

*Quickly toggle autoslicing
Adds a pause/play button to the progress bar to quickly toggle autoslicing. Contributed by fieldOfview.

*Cura-DuetRRFPlugin
Adds output devices for a Duet RepRapFirmware printer: "Print", "Simulate", and "Upload". Contributed by Kriechi.

*Dremel 3D20
This plugin adds the Dremel printer to Ultimaker Cura. Contributed by Kriechi.

*Bug fixes
- Removed extra M109 commands. Older versions would generate superfluous M109 commands. This has been fixed for better temperature stability when printing.
- Fixed minor mesh handling bugs. A few combinations of modifier meshes now lead to expected behavior.
- Removed unnecessary travels. Connected infill lines are now always printed completely connected, without unnecessary travel moves.
- Removed concentric 3D infill. This infill type has been removed due to lack of reliability.
- Extra skin wall count. Fixed an issue that caused extra print moves with this setting enabled.
- Concentric skin. Small gaps in concentric skin are now filled correctly.
- Order of printed models. The order of a large batch of printed models is now more consistent, instead of random.

*Third party printers
- TiZYX
- Winbo
- Tevo Tornado
- Creality CR-10S
- Wanhao Duplicator
- Deltacomb (update)
- Dacoma (update)

[3.4.1]
*Bug fixes
- Fixed an issue that would occasionally cause an unnecessary extra skin wall to be printed, which increased print time.
- Fixed an issue in which supports were not generated on the initial layer, because the engine expected a brim to be in place.
- Conical and tree supports are now limited within the build plate volume.
- Fixed various startup crashes, including: copying of the version folder, errors while deleting packages, storing the old files, and losing data on install.

[3.4.0]

*Toolbox
The plugin browser has been remodeled into the Toolbox. Navigation now involves graphical elements such as tiles, which can be clicked for further details.

*Upgradable bundled resources
It is now possible to have multiple versions of bundled resources installed: the bundled version and the downloaded upgrade. If an upgrade in the form of a package is present, the bundled version will not be loaded. If it's not present, Ultimaker Cura will revert to the bundled version.

*Package manager recognizes bundled resources
Bundled packages are now made visible to the CuraPackageMangager. This means the resources are included by default, as well as the "wrapping" of a package, (e.g. package.json) so that the CuraPackageManger and Toolbox recognize them as being installed.

*Retraction combing max distance
New setting for maximum combing travel distance. Combing travel moves longer than this value will use retraction. Contributed by smartavionics.

*Infill support
When enabled, infill will be generated only where it is needed using a specialized support generation algorithm for the internal support structures of a part. Contributed by BagelOrb.

*Print outside perimeter before holes
This prioritizes outside perimeters before printing holes. By printing holes as late as possible, there is a reduced risk of travel moves dislodging them from the build plate. This setting should only have an effect if printing outer before inner walls. Contributed by smartavionics.

*Disable omitting retractions in support
Previous versions had no option to disable omitting retraction moves when printing supports, which could cause issues with third-party machines or materials. An option has been added to disable this. Contributed by BagelOrb.

*Support wall line count
Added setting to configure how many walls to print around supports. Contributed by BagelOrb.

*Maximum combing resolution
Combing travel moves are kept at least 1.5 mm long to prevent buffer underruns.

*Avoid supports when traveling
Added setting to avoid supports when performing travel moves. This minimizes the risk of the print head hitting support material.

*Rewrite cross infill
Experimental setting that allows you to input a path to an image to manipulate the cross infill density. This will overlay that image on your model. Contributed by BagelOrb.

*Backup and restore
Added functionality to backup and restore settings and profiles to cloud using the Cura Backups plugin.

*Auto-select model after import
User can now set preferences for the behavior of selecting a newly imported model or not.

*Settings filter timeout
The settings filter is triggered on enter or after a 500ms timeout when typing a setting to filter.

*Event measurements
Added time measurement to logs for occurrences, including startup time, file load time, number of items on the build plate when slicing, slicing time, and time and performance when moving items on the build plate, for benchmarking purposes.

*Send anonymous data
Disable button on the ‘Send anonymous data’ popup has changed to a ‘more info’ button, with further options to enable/disable anonymous data messages.

*Configuration error assistant
Detect and show potential configuration file errors to users, e.g. incorrect files and duplicate files in material or quality profiles, there are several places to check. Information is stored and communicated to the user to prevent crashing in future.

*Disable ensure models are kept apart
Disable "Ensure models are kept apart" by default due to to a change in preference files.

*Prepare and monitor QML files
Created two separate QML files for the Prepare and Monitor stages.

*Hide bed temperature
Option to hide bed temperature when no heated bed is present. Contributed by ngraziano.

*Reprap/Marlin GCODE flavor
RepRap firmware now lists values for all extruders in the "Filament used" GCODE comment. Contributed by smartavionics.

*AutoDesk Inventor integration
Open AutoDesk inventor files (parts, assemblies, drawings) directly into Ultimaker Cura. Contributed by thopiekar.

*Blender integration
Open Blender files directly into Ultimaker Cura. Contributed by thopiekar.

*OpenSCAD integration
Open OpenSCAD files directly into Ultimaker Cura. Contributed by thopiekar.

*FreeCAD integration
Open FreeCAD files directly into Ultimaker Cura. Contributed by thopiekar.

*OctoPrint plugin
New version of the OctoPrint plugin for Ultimaker Cura. Contributed by fieldOfView.

*Cura Backups
Backup and restore your configuration, including settings, materials and plugins, for use across different systems.

*MakePrintable
New version of the MakePrintable plugin.

*Compact Prepare sidebar
Plugin that replaces the sidebar with a more compact variation of the original sidebar. Nozzle and material dropdowns are combined into a single line, the “Check compatibility” link is removed, extruder selection buttons are downsized, recommended and custom mode selection buttons are moved to a combobox at the top, and margins are tweaked. Contributed by fieldOfView.

*PauseAtHeight plugin
Bug fixes and improvements for PauseAtHeight plugin. Plugin now accounts for raft layers when choosing “Pause of layer no.” Now positions the nozzle at x and y values of the next layer when resuming. Contributed by JPFrancoia.

*Bug fixes
- Prime tower purge fix. Prime tower purge now starts away from the center, minimizing the chance of overextrusion and nozzle obstructions. Contributed by BagelOrb.
- Extruder 2 temp via USB. Fixed a bug where temperatures can’t be read for a second extruder via USB. Contributed by kirilledelman.
- Move to next object position before bed heat. Print one at a time mode caused waiting for the bed temperature to reach the first layer temperature while the nozzle was still positioned on the top of the last part. This has been fixed so that the nozzle moves to the location of the next part before waiting for heat up. Contributed by smartavionics.
- Non-GCODE USB. Fixed a bug where the USB port doesn’t open if printer doesn't support GCODE. Contributed by ohrn.
- Improved wall overlap compensation. Minimizes unexpected behavior on overlap lines, providing smoother results. Contributed by BagelOrb.
- Configuration/sync. Fixes minor issues with the configuration/sync menu, such as text rendering on some OSX systems and untranslatable text. Contributed by fieldOfView.
- Print job name reslice. Fixed behavior where print job name changes back to origin when reslicing.
- Discard/keep. Customized settings don't give an 'discard or keep' dialog when changing material.
- Message box styling. Fixed bugs related to message box styling, such as the progress bar overlapping the button in the ‘Sending Data’ popup.
- Curaproject naming. Fixed bug related to two "curaprojects" in the file name when saving a project.
- No support on first layers. Fixed a bug related to no support generated causing failed prints when model is floating above build plate.
- False incompatible configuration. Fixed a bug where PrintCore and materials were flagged even though the configurations are compatible.
- Spiralize contour overlaps. Fixed a bug related to spiralize contour overlaps.
- Model saved outside build volume. Fixed a bug that would saved a model to file (GCODE) outside the build volume.
- Filament diameter line width. Adjust filament diameter to calculate line width in the GCODE parser.
- Holes in model surfaces. Fixed a bug where illogical travel moves leave holes in the model surface.
- Nozzle legacy file variant. Fixed crashes caused by loading legacy nozzle variant files.
- Brim wall order. Fixed a bug related to brim wall order. Contributed by smartavionics.
- GCODE reader gaps. Fixed a GCODE reader bug that can create a gap at the start of a spiralized layer.
- Korean translation. Fixed some typos in Korean translation.
- ARM/Mali systems. Graphics pipeline for ARM/Mali fixed. Contributed by jwalt.
- NGC Writer. Fixed missing author for NGC Writer plugin.
- Support blocker legacy GPU. Fixes depth picking on older GPUs that do not support the 4.1 shading model which caused the support blocker to put cubes in unexpected locations. Contributed by fieldOfView.

*Third-party printers
- Felix Tec4 printer. Updated definitions for Felix Tec4. Contributed by kerog777.
- Deltacomb. Updated definitions for Deltacomb. Contributed by kaleidoscopeit.
- Rigid3D Mucit. Added definitions for Rigid3D Mucit. Contributed by Rigid3D.

[3.3.0]

*Profile for the Ultimaker S5
New printer profile for the Ultimaker S5, our latest 3D printer.

*Profile for Tough PLA
New material profile for Tough PLA, a material that prints with the convenience of PLA but with toughness and impact strength similar to ABS.

*Configuration/sync button
Configuration and synchronization button now available for Ultimaker network-connected printers to easily synchronize all possible available configurations in your Cura Connect group. The name of the group host is automatically pulled from the API, and network printers and local printers are separated in the list for clarity.

*Setting visibility preset
Presets guide you to find the most important settings incrementally. A small menu is located next to the search bar to easily access these new setting visibility presets. Contributed by fieldOfView.

*Print/save hotkey
Send a print to the queue using Ctrl + P (Windows/Linux) or Cmd + P (Mac). If no printer is present on the network, it will save to file instead.

*3D model assistant
Models sliced to print with ABS, PC, PP or CPE+ that have a larger footprint than 150 x 150 x 150 mm will notify the user with an icon and popup of how they can achieve the best possible print quality and reliability.

*Refactored machine manager
Refactored machine manager resulted in less manager classes. Changing settings, materials, variants and machines is now clearer. This results in an overall speed up when making changes.

*Multiply models faster
Significant speed increase when multiplying models.

*Auto slicing disabled by default
The auto slice tool is now disabled by default. Users can still enable the feature in the user preferences dialog.

*Updated fonts
Default font changed to NotoSans to increase readability and consistency with Cura Connect.

*Plugin browser look and feel
The plugin browser has been updated with a better look and feel to bring it in line with other UI elements. The author name is clickable, which opens email for support. Plugins can now be uninstalled with an uninstall button.

*Show tooltip for unavailable profile
Tooltips have been added to incompatible settings, to give explanations why they are incompatible.

*Empty material slots Ultimaker 3
When a material is not loaded in the Ultimaker 3, it is now displayed as ‘Empty’ rather than ‘Unknown’.

*Send over network confirmation
When a print job is sent to a networked printer, a popup will confirm the job was sent, with a button to redirect the user to the monitor in Cura Connect.

*Post processing scripts
Fixed an issue where post processing scripts could be lost between sessions. Post processing scripts are now persistent between sessions.

*Single extrusion mode
Disable an extruder on a dual extrusion printer, so you are not limited by the other extruder’s parameters. To disable an extruder, right click it in the right panel, and select ‘Disable extruder’ to disable it. Re-enable by right clicking and selecting ‘enable extruder’. Printing profiles are optimized for the active extruder, as well as global settings, such as build plate temperature, to achieve better print quality. Using single extrusion mode also makes the ‘print one at a time’ feature available for the Ultimaker 3 and Ultimaker S5.

*New UFP extension
UFP (Ultimaker format package) is a new file extension that contains compressed gcode and a preview thumbnail. Using this extension enables a model preview (similar to the solid view) on the Ultimaker S5 touchscreen and in Cura Connect.

*Compressed Gcode
Gcode saved from Ultimaker Cura using the Ultimaker 3 profile is compressed (using gzip) to save space on printers.

*Circular prime tower
Prime towers are now circular, resulting in a less jerky print head action, a more robust structure, better layer adhesion, and better build plate adhesion compared to square prime towers, reducing the chance of prime tower failure mid-print.

*Connected infill lines
Grid and triangular infill patterns now have connected lines for a more constant flow, better model rigidity, and reduced impact on the quality of the outer wall.

*Support blocker - fieldOfView
Generate a cube mesh to prevent support material generation in specific areas of a model. Each cube can be scaled, rotated, and moved with the standard adjustment tools to fit your requirements. When the support blocker tool is selected, single click in the area you want to block support to generate a mesh. If it is positioned by accident, click it again to remove it.

*Real bridging - smartavionics
New experimental feature that detects bridges, adjusting the print speed, slow and fan speed to enhance print quality on bridging parts.

*Updated CuraEngine executable - thopiekar & Ultimaker B.V.
The CuraEngine executable contains a dedicated icon, author and license info on Windows now. The icon has been designed by Ultimaker B.V.

*Use RapidJSON and ClipperLib from system libraries
Application updated to use verified copies of libraries, reducing maintenance time keeping them up to date (the operating system is now responsible), as well as reducing the amount of code shipped (as necessary code is already on the user’s system).

*Initial layer flow
New setting in the ‘material’ category where the initial layer flow can be adjusted.

*Initial travel move retraction - smartavionics
Retraction has been added to the initial travel move, reducing the chance of prime blobs getting dragged into parts before brim/skirts are printed.

*Unnecessary retractions in spiralize - smartavionics
Removes retractions on layer change in spiralize mode, improving model quality.

*Faster travel paths - smartavionics
Until now, the path order optimizer worked on the basis that the shortest possible route could be taken from any one point to another. When combing is used, any route may longer, due to the need to route around obstacles. Now, it can use the combed distances to give more consistent results.

*New plugins - Pheneeny
Three new plugins have been added to Ultimaker Cura: Scalable extra prime, Print temperature offset, and Enclosure fan.

*Pre-heat extruders - fieldOfView
This new feature allows to preheat the extruders in the printer monitor.

*Renamed TweakAtZ to ‘ChangeAtZ’
This script has been renamed to be more consistent with other scripts.

*Import XML material profile checks
XML material profile files are now checked before import in Ultimaker Cura to avoid potential issues. Contributed by fieldOfView.

*Bug fixes
- Slice engine crash default temperature 0. Fixed an issue where the slicing engine could crash when slicing with a material at 0°C.
- Network printer reconnect. Fixed an issue where the user could not connect to the printer after losing connection.
- Pause at height ‘redo layers’ broken. Fixed an issue where setting ‘pause at height redo layers’ to 1 or more would cause failed prints.
- Reset icon fix. Fixed an issue where manually reverting a default print profile value instead of using the reset button would cause the reset icon to remain.
- Infill density for all extruders. The infill density in the recommended mode now applies to all extruders instead of extruder 1.
- Polypropylene 0.25mm print profile. Fixed the maximum number of allowed extrusions for all 0.25mm Polypropylene profile prints.
- SolidWorks plugin. Replaced comtypes module with win32com to fix issues.
- Font rendering issues. Fixed font rendering issues on Max OSX.
- Slice engine avoids broken wall segments. Fixed an issue where narrow walls created broken line segments by testing for such situations and using slightly narrow lines in those cases.

*Third party printers

- FABtotum TPU profiles. Added third-party material profiles for TPU. Contributed by krios-fabteam.
- Dagoma profiles. Updated printer profiles contributed by dagoma3d.
- uBuild profile. Updated printer profiles contributed by uBuild-3D.
- Cartesio printer updates. Updated profiles contributed by maukcc.
- Printrbot Simple Maker's Kit 1405. Profiles contributed by timur-tabi.
- Added SeeMeCNC. Profiles contributed by pouncingiguana.
- Velleman Vertex. Updated printer and quality profiles contributed by velbn.
- gMax 1.5. Profiles contributed by gordo3di.

[3.2.1]
*Bug fixes
- Fixed issues where Cura crashes on startup and loading profiles
- Updated translations
- Fixed an issue where the text would not render properly

[3.2.0]
*Tree support
Experimental tree-like support structure that uses ‘branches’ to support prints. Branches ‘grow’ and multiply towards the model, with fewer contact points than alternative support methods. This results in better surface finishes for organic-shaped prints.

*Adaptive layers
Prints with a variable layer thickness which adapts to the angle of the model’s surfaces. The result is high-quality surface finishes with a marginally increased print time. This setting can be found under the experimental category.

*Faster startup
Printer definitions are now loaded when adding a printer, instead of loading all available printers on startup.

*Backface culling in layer view
Doubled frame rate by only rendering visible surfaces of the model in the layer view, instead of rendering the entire model. Good for lower spec GPUs as it is less resource-intensive.

*Multi build plate
Experimental feature that creates separate build plates with shared settings in a single session, eliminating the need to clear the build plate multiple times. Multiple build plates can be sliced and sent to a printer or printer group in Cura Connect. This feature must be enabled manually in the preferences ‘general’ tab.

*Improved mesh type selection
New button in the left toolbar to edit per model settings, giving the user more control over where to place support. Objects can be used as meshes, with a drop down list where ‘Print as support’, ‘Don't overlap support with other models’, ‘Modify settings for overlap with other models’, or ‘Modify settings for infill of other models’ can be specified. Contributed by fieldOfView.

*View optimization
Quick camera controls introduced in version 3.1 have been revised to create more accurate isometric, front, left, and right views.

*Updated sidebar to QtQuick 2.0
Application framework updated to increase speed, achieve a better width and style fit, and gives users dropdown menus that are styled to fit the enabled Ultimaker Cura theme, instead of the operating system’s theme.

*Hide sidebar
The sidebar can now be hidden/shown by selecting View > Expand/Collapse Sidebar, or with the hotkey CMD + E (Mac) or CTRL + E (PC and Linux).

*Disable ‘Send slice information’
A shortcut to disable ‘Send slice information’ has been added to the first launch to make it easier for privacy-conscious users to keep slice information private.

*Signed binaries (Windows)
For security-conscious users, the Windows installer and Windows binaries have been digitally signed to prevent “Unknown application” warnings and virus scanner false-positives.

*Start/end gcode script per extruder
Variables from both extruders in the start and end gcode snippets can now be accessed and edited, creating uniformity between profiles in different slicing environments. Contributed by fieldOfView.

*OctoPrint plugin added to plugin browser
This plugin enables printers managed with OctoPrint to print via Ultimaker Cura interface (version 3.2 or later).

*Bugfixes
- Fixed a bug where the mirror tool and center model options when used together would reset the model transformations
- Updated config file path to fix crashes caused by user config files that are located on remote drives
- Updated Arduino drivers to fix triggering errors during OTA updates in shared environments. This also fixes an issue when upgrading the firmware of the Ultimaker Original.
- Fixed an issue where arranging small models would fail, due to conflict with small model files combined with the “Ensure models are kept apart” option

[3.1.0]
*Profile added for 0.25 mm print core
This new print core gives extra fine line widths which gives prints extra definition and surface quality.

*Profile added for Breakaway material
New material profile for Breakaway material, a new dry post processing support material, which can be used for models with flat surface area overhangs.

*Layer view
The existing Layer View has been updated in order to see a live simulation of all the paths within a layer.

*Quick camera controls
New buttons have been added to the interface that can quickly reposition the camera view of the buildplate.

*Lock model on platform
The move tool has a new option to lock a selected model to the platform.

*Faster profile switching speed
Duplicating and removing a profile could take Ultimaker Cura quite some time, it now happens instantly.

*Faster printer selection
Removing a printer from the library is now instant. No more unresponsive screens.

*Faster processing speed
A 5 - 10 % speed increase when calculating normals, loading models, and slicing.

*Feedrate visualization
Feedrate visualization has been added to the Layer view. Using this gives the user an idea of the print speeds per model part, allowing for better control over prints.

*Jogging
It allows the printhead to be moved with on-screen controls. Contributed by fieldOfView.

*Large model loading
A new feature has been added which unloads the layer view when switching to solid mode, speeding Ultimaker Cura back up without losing your G-code/layer view information.

*Scripts folder
A scripts folder is now available in the Ultimaker Cura configuration folder. This folder can be loaded with post processing plugins scripts, which will automatically show in Ultimaker Cura. Contributed by fieldOfView.

*Optimized workflow for crash reporting
Crash reports are automatically generated and allow the user, in case of a crash, to easily send their report with a description to developers.

*Floating models enabled
In previous releases, models were dropped to the build plate when support was disabled. Models now float when the setting is enabled (even if creates an impossible-to-print situation). This can be used to stack separate models on top of each other.

*Slicing tolerance
A new setting that affects the intersect point to influence the dimensional accuracy for diagonal surfaces. The user can select the behaviour: ‘Inclusive’ makes gaps narrower, ‘Exclusive’ makes gaps wider, and ‘Middle’ is the fastest to process. This can be used to create better tolerances for printed screw holes. Contributed by BagelOrb.

*Optimized zig zag patterns
Zig zag patterns now print more consistently. Lines now have a 5 micron tolerance in which they are printed any way, resulting in longer connected lines. Contributed by smartavionics.

*Aligned z-seam inner wall moves
Inner wall travel moves are aligned with the z-seam. This reduces the number of travel moves and reduces the chance of more unwanted seams.

*Relative positioning of infill patterns
Infill patterns are now positioned relative to the center of loaded models and an offset can be applied to control the infill more precisely and adjust it to preference or strength. Contributed by smartavionics.

*Line resolution
Enables the user to specify the minimum allowed distance value between two points in G-code to create lower or higher resolution polygons.

*Custom mode changes
If profile settings have been modified in recommended mode under custom mode, a reset icon will appear to notify the user. Click the icon to show the changes that have been made, and revert back to the default profile settings.

*Bugfixes
- Fix for layer numbers being displayed incorrectly when switching between solid and layer mode
- Fix for Ultimaker Cura engine crashes on certain models
- Fix for Uninstalling previous versions of Cura on Windows platforms
- Fix for displaying visible settings
- Fix for importing legacy .ini files
- Prevent skipping user agreement dialog by pressing escape

[3.0.4]
*Bug fixes
- Fixed OpenGL issue that prevents Cura from starting.

*License agreement on the first startup has been added

[3.0.3]
*Bug fixes
- Add missing libraries for the MakePrintable plugin.

[3.0.0]
*Faster start-up
Start-up speed has been cut in half compared to the previous version.

*New color scheme
Color scheme has been updated to reflect Ultimaker Cura rebrand.

*Updated UX design
The Ultimaker Cura logo has moved from the bottom to the top of the interface. Print status icons have been updated and repositioned.

*Redesigned splash screen
A new splash screen on Ultimaker Cura startup has been added.

*Top navigation bar improvements
The width of tab functionality changes accordingly to the word space (multilingual).

*Print quality slider
A slider can now be used to control the quality profile in recommended mode.

*Infill slider
Model infill can now be changed using a slider in recommended mode.

*Changed layer view
Layer view icon, panel and slider have moved to top-right of interface.

*Rasterized build plate
The build plate now shows graduations of 10 mm and 1 mm for easy model positioning.

*Changed row of extruder buttons
Extruder tabs have become buttons and icons have been updated.

*Add an "Export to Cura" button in SOLIDWORKS
A macro can be added to your SOLIDWORKS installation that loads your model into Ultimaker Cura.

*Siemens NX macro
When a user updates models in Siemens NX and clicks the button, the updated models replace the models opened in Ultimaker Cura.

*Skin removal width
Remove thin strips of skin from a model to prevent print head zigzagging, in turn preventing vibrations.

*Skin expand distance
Cutting away skins on steep overhangs makes prints less sturdy. By expanding skins with the thickness of walls, features will be better supported. In addition, features such as towers on top of infill will be stronger.

*Extra skin wall count
Printing extra skin directly on top of infill can lead to gaps, curling and pillowing. This is reduced by printing a wall around the skin first, and also improves the printing speed.

*Minimum extrusion for skin
Will prevent filling small gaps that are probably filled already, resulting in less strings, better top details and faster prints.

*PVA retractions
PVA (switch) retraction length is increased, minimum travel distance for retraction is decreased and max count is slightly increased, this reduces stringing by a lot at the cost of slightly increased print time.

*Z seam options
Gives the user control over where to place the seam - hide it in convex corners or in easy to remove locations such as concave corners. Don’t let corner angles influence the seam position.

*Quarter cubic infill
Similar to tetrahedral (octet) infill, but half of the lines are shifted half of the period up. This pattern sacrifices some rigidity of octet infill for greater toughness.

*Cross infill
A fractal pattern infill that requires fewer retractions than other infill types. This is useful for flexible materials as it causes less material elongation. The internal structure given by this infill also assists flexible models having more resistance, while retaining ‘soft’ properties in all directions.

*Layer start negative position
Layer start X/Y values can be less than 0 when the machine centre is zero.

*PostProcessing stretch script
This new script performs "post stretch" algorithm to fix the problem of insufficient inner and outer diameters. Thanks to electrocbd for contributing.

*Ironing speed settings
Ironing speed settings have been moved to experimental category.

*Doodle3D plugin
Update Doodle3D plugin to connect with printers. Thanks to mith for contributing.

*Bug fixes
- Customized profiles are not sent when connecting to a printer
- Sync z-hop with layer changes, thanks to smartavionics for contributing
- Memory leaks on MacOS
- Printer name not loaded when project file is opened
- Doodle3D Wifi box was selected by default on non-UM3 printers

[2.7.0]
*Top surface skin
Specify print settings of the top-most layers separately in order to improve print duration and achieve higher quality top surfaces.

*Print thin walls
An experimental function that enables features to be printed up to two times smaller than the nozzle size.

*Ironing (a.k.a. Neosanding)
An experimental function that enables the heated nozzle to travel over printed top layers without extrusion to create a smooth finish. Made after an idea by Neotko.

*Gradual support infill
Supports will print faster and with less material while improving overhang quality.

*Support infill layer thickness
Users are able to configure “Support infill layer thickness” for thicker support layers.

*Relative Z seam
A function that positions the Z seam relative to the bounding box of the model, so that the seam stays at the same location no matter what the position of the object is.

*Prime tower purge
In order to prevent under extrusion when printing a prime tower, and to prevent a prime tower failing half way through a job, a feature has been added to wipe off oozed/purged material in the middle of a hollow prime tower before starting to print the next layer of it. The amount of material to purge can be specified in the “Prime Tower Purge Volume” setting.

*First layer line width
A multiplier setting for the line width of the first layer of a print. Multiplying line width gives fewer lines but with greater width, which improves build plate adhesion.

*Pause standby and resume temperature
Turn off the nozzle when printing with extended pauses to prevent burned filament and nozzle clogging. At the end of a pause, the nozzle will reach printing temperature before resuming a print.

*Extruder per feature
Assign specific print features (walls, infill, skin, etc.) to a specific nozzle. A possible application of this would be to print an outer shell of an object with a fine nozzle at a greater level of detail while using a larger second nozzle to print infill faster.

*Dark theme
A dark theme for Cura. Select this theme to reduce eyestrain when working in dark environments. Activate it by selecting “Preferences > Themes > Dark".

*Top navigation bar redesign
The top bar user interface been improved so that “Prepare” and “Print” have moved from the right side of the interface to the left side.

*New keyboard shortcuts
Models can now be manipulated on the build plate using hotkeys Q, A, Z, W, and tab keys. Q selects “move”, A selects “scale”, Z selects “rotate”, and W selects “mirror”. Use the tab key to navigate between settings.

*Plugin browser
Easily download and install plugins using an integrated plugin browser. Go to “Extensions > Plugin Browser > Browse plugins” to select it.

*Import SolidWorks files as STL
A new plugin that enables SolidWorks compatible .SLDPRT files to be imported directly into Cura, where they are automatically converted to .STL format. This plugin can be found in the plugin browser.

*Zoom towards mouse cursor position
Cura preferences now include an option to zoom towards the cursor position on screen.

*Increased scroll speed in setting lists
The scroll speed in the setting lists is now three times faster than previous versions.

*Extra tooltips
Extra tooltips have been added to clarify the machine settings.

*Polish now supported
Polish language support added. This can be selected in the preferences menu.

*Chinese now supported
Chinese language support added. This can be selected in the preferences menu.

*Bug fixes
- Cura project Mac extensions
- Crashes when adding printers
- Jerk fixes
- Z-hop over-extrusion
- Material diameter in machine settings

*3rd party printers
- Peopoly Moai
- DiscoEasy200
- Cartesio
- EasyArt Ares
- 3Dator
- Rigid3D
- Type A Series 1
- HelloBEEPrusa

[2.6.2]

*Bug fixes
- Fixed an issue with Cura crashing on older versions of MacOS.

[2.6.1]
*New profiles
The Polypropylene material is added and supported with the Ultimaker 3. Support for CPE+ and PC with 0.8mm nozzles is added as well.

[2.6.0]
*Cura versions
Cura 2.6 has local version folders, which means the new version won’t overwrite the existing configuration and profiles from older versions, but can create a new folder instead. You can now safely check out new beta versions and, if necessary, start up an older version without the danger of losing your profiles.

*Better support adhesion
We’ve added extra support settings to allow the creation of improved support profiles with better PVA/PLA adhesion. The Support Interface settings, such as speed and density, are now split up into Support Roof and Support Floor settings.

*Multi-extrusion support for custom FDM printers
Custom third-party printers and Ultimaker modifications now have multi-extrusion support. Thanks to Aldo Hoeben for this feature.

*Model auto-arrange
We’ve improved placing multiple models or multiplying the same ones, making it easier to arrange your build plate. If there’s not enough build plate space or the model is placed beyond the build plate, you can rectify this by selecting ‘Arrange all models’ in the context menu or by pressing Command+R (MacOS) or Ctrl+R (Windows and Linux). Cura 2.6 will then find a better solution for model positioning.

*Gradual infill
You can now find the Gradual Infill button in Recommended mode. This setting makes the infill concentrated near the top of the model – so that we can save time and material for the lower parts of the model. This functionality is especially useful when printing with flexible materials.

*Support meshes
It’s now possible to load an extra model that will be used as a support structure.

*Mold
This is a bit of an experimental improvement. Users can use it to print a mold from a 3D model, which can be cast afterwards with the material that you would like your model to have.

*Towers for tiny overhangs
We’ve added a new support option allowing users to achieve more reliable results by creating towers to support even the smallest overhangs.

*Cutting meshes
Easily transform any model into a dual-extrusion print by applying a pattern for the second extruder. All areas of the original model, which also fall inside the pattern model, will be printed by the extruder selected for the pattern.

*Extruder per model selection via the context menu or extruder buttons
You can now select the necessary extruder in the right-click menu or extruder buttons. This is a quicker and more user-friendly process. The material color for each extruder will also be represented in the extruder icons.

*Custom toggle
We have made the interface a little bit cleaner and more user-friendly for switching from Recommended to Custom mode.

*Plugin installer
It used to be fairly tricky to install new plugins. We have now added a button to select and install new plugins with ease – you will find it in Preferences.

*Project-based menu
It’s a lot simpler to save and open files, and Cura will know if it’s a project, model, or gcode.

*Theme picker
If you have a custom theme, you can now apply it more easily in the preferences screen.

*Time estimates per feature
You can hover over the print time estimate in the lower right corner to see how the printing time is divided over the printing features (walls, infill, etc.). Thanks to 14bitVoid for this feature.

*Invert the direction of camera zoom
We’ve added an option to invert mouse direction for a better user experience.

*Olsson block upgrade
Ultimaker 2 users can now specify if they have the Olsson block installed on their machine. Thanks to Aldo Hoeben for this feature.

*OctoPrint plugin
Cura 2.6 allows users to send prints to OctoPrint. Thanks to Aldo Hoeben for this feature.

*Bug fixes
- Post Processing plugin
- Font rendering
- Progress bar
- Support Bottom Distance issues

*3rd party printers
- MAKEIT
- Alya
- Peopoly Moai
- Rigid3D Zero
- 3D maker

[2.5.0]
*Improved speed
We’ve made changing printers, profiles, materials, and print cores even faster. 3MF processing is also much faster now. Opening a 3MF file now takes one tenth of the time.

*Speedup engine – Multithreading
Cura can process multiple operations at the same time during slicing. Supported by Windows and Linux operating systems only.

*Preheat the build plate (with a connected printer)
Users can now set the Ultimaker 3 to preheat the build plate, which reduces the downtime, allowing to manually speed up the printing workflow.

*Better layout for 3D layer view options
An improved layer view has been implemented for computers that support OpenGL 4.1. For OpenGL 2.0 to 4.0, we will automatically switch to the old layer view.

*Disable automatic slicing
An option to disable auto-slicing has been added for the better user experience.

*Auto-scale off by default
This change speaks for itself.

*Print cost calculation
The latest version of Cura now contains code to help users calculate the cost of their prints. To do so, users need to enter a cost per spool and an amount of materials per spool. It is also possible to set the cost per material and gain better control of the expenses. Thanks to our community member Aldo Hoeben for adding this feature.

*G-code reader
The g-code reader has been reintroduced, which means users can load g-code from file and display it in layer view. Users can also print saved g-code files with Cura, share and re-use them, as well as preview the printed object via the g-code viewer. Thanks to AlephObjects for this feature.

*Discard or Keep Changes popup
We’ve changed the popup that appears when a user changes a printing profile after setting custom printing settings. It is now more informative and helpful.

*Bug fixes
- Window overflow: On some configurations (OS and screen dependant), an overflow on the General (Preferences) panel and the credits list on the About window occurred. This is now fixed.
- “Center camera when the item is selected”: This is now set to ‘off’ by default.
- Removal of file extension: When users save a file or project (without changing the file type), no file extension is added to the name. It’s only when users change to another file type that the extension is added.
- Ultimaker 3 Extended connectivity. Selecting Ultimaker 3 Extended in Cura let you connect and print with Ultimaker 3, without any warning. This now has been fixed.
- Different Y / Z colors: Y and Z colors in the tool menu are now similar to the colors on the build plate.
- No collision areas: No collision areas used to be generated for some models when "keep models apart" was activated. This is now fixed.
- Perimeter gaps: Perimeter gaps are not filled often enough; we’ve now amended this.
- File location after restart: The old version of Cura didn’t remember the last opened file location after it’s been restarted. Now it has been fixed.
- Project name: The project name changes after the project is opened. This now has been fixed.
- Slicing when error value is given (print core 2): When a support is printed with the Extruder 2 (PVA), some support settings will trigger a slice when an error value is given. We’ve now sorted this out.
- Support Towers: Support Towers can now be disabled.
- Support bottoms: When putting one object on top of another with some space in between, and selecting support with support bottom interface, no support bottom is printed. This has now been resolved.
- Summary box size: We’ve enlarged the summary box when saving the project.
- Cubic subdivision infill: In the past, the cubic subdivision infill sometimes didn’t produce the infill (WIN) – this has now been addressed.
- Spiralize outer contour and fill small gaps: When combining Fill Gaps Between Walls with Spiralize Outer Contour, the model gets a massive infill.
- Experimental post-processing plugin: Since the TweakAtZ post-processing plugin is not officially supported, we added the  ‘Experimental’ tag.

*3rd party printers (bug fixes)
- Folgertech printer definition has been added.
- Hello BEE Prusa printer definition has been added.
- Velleman Vertex K8400 printer definitions have been added for both single-extrusion and dual-extrusion versions.
- Material profiles for Cartesio printers have been updated.

[2.4.0]
*Project saving & opening
You can now save your build plate configuration - with all your active machine’s meshes and settings. When you reopen the project file, you’ll find that the build plate configuration and all settings will be exactly as you last left them when you saved the project.

*Setting search
You can now search the custom settings directly from the side panel, which means you can easily locate the setting you need to tweak. Thanks to community member Aldo Hoeben & LulzBot for this feature.

*Editing start g-code and end g-code
Aldo Hoeben also added this feature, enabling you to alter both start and end code g-code settings for single extrusion machines.

*Multiply object function
By right-clicking on an object, you can multiply it by a variable amount, rather than duplicating multiple times. Thanks again to Aldo Hoeben for this feature.

*Ultimaker 3 single extrusion prints
Dual extrusion printers now allow for single extrusion prints in a larger printable area.

*Streaming printer monitor view
Ultimaker 3’s camera views no longer only show snapshots. They now show a live stream.

*Explain why slicing is disabled
When slicing is blocked by settings with error values, a message now appears, clearly indicating which settings need to be changed.

*Ultimaker 3 print profiles
The initial and final printing temperatures reduce the amount of oozing during PLA-PLA, PLA-PVA and Nylon-PVA prints. This means printing a prime tower is now optional (except for CPE and ABS at the moment). The new Ultimaker 3 printing profiles ensure increased reliability and shorter print time.

*Initial Layer Printing Temperature
Initial and final printing temperature settings have been tuned for higher quality results. For all materials the initial print temperature is 5 degrees above the default value.

*Printing temperature of the materials
The printing temperature of the materials in the material profiles is now the same as the printing temperature for the Fine profile.

*Improved PLA-PVA layer adhesion
The PVA jerk and acceleration have been optimized to improve the layer adhesion between PVA and PLA.

*Default build plate adhesion type for Nylon
The default build plate adhesion type for Nylon prints has been changed from raft to brim.

*Support Interface Thickness
The Support Roof Thickness is now 0.8 mm and PVA support infill has been slightly decreased to lower the printing time.

*Ultimaker 2+ PC prints
In the polycarbonate profiles, the raft settings for the 0.25 mm and 0.4 mm nozzles are tweaked for less warping.

*Hollow prime tower
Print the prime tower hollow to minimize material use while maintaining stability. Wiping the oozed material on the prime tower is now done from the inside, which means the excess material is contained within the prime tower.

*Precooling and prewarming
Printing now starts at a lower temperature, before increasing swiftly to the normal printing temperature. Cooling also starts earlier than the last extrusion (with that print core). This minimizes the material’s heat absorption, which decreases the amount of degradation of the PVA material. This reduces the risk of clogging your nozzles.

*Remove Mesh Intersection
You are now able to turn off resolving of overlapping meshes. Models can now overlap, so you can perform build plate color mixing, by placing meshes over one another and lowering their flow.

*Alternate Mesh Removal
For areas where two models overlap, let each layer of the overlapping volume alternate (depending on which object the overlapping area of that layer belongs to). This improves the bonding between dual color models and allows for more controlled build plate color mixing.

*Hollow Object
Remove the infill from a mesh and treat internal cavities as overhangs, so as to create support in the model’s interior. This experimental setting greatly reduces the amount of material needed on the inside of the print.

*Fill Gaps Between Walls
Fill up small gaps between consecutive walls, making thin pieces in your model dense, rather than hollow. This feature makes the thin pieces stronger.

*Cubic subdivision infill
This experimental new infill pattern is similar to cubic infill, but generates bigger cubes farther inside the mesh. This greatly reduces print times and material use, while maintaining structural integrity. Thanks to community members Martin Boerwinckle and Nicholas Seward for this feature.

*Concentric 3D infill
This new infill pattern is similar to concentric infill, but touches the shell every X layers, creating better support for the top layers.

* Printing Temperature Initial Layer
Nozzle temperature to be used during the first layer.

*Build Plate Temperature Initial Layer
Bed temperature to be used during the first layer.

*Initial Fan Speed
Fan speed to be used during the first layer.

*Retract at Layer Change
Retract each time the printer progresses to the next layer.

*Outer Wall Wipe Distance
Wipe the nozzle after printing the outer wall.

*Set X-Y coordinate of z-seam
Select where to place the Z seam.

*Start Layers with the Same Part
Start each layer with the part closest to a given location.

*Turn off nozzle after last use
Turn off the nozzle after its last use, while other nozzles are still in use.

*Option for no build plate adhesion
Select not to print any build plate adhesion helper parts.

*Anti-overhang and support meshes
Use a mesh to specify a volume within which to classify nothing as overhang for support or specify a volume within which to print support.

*Delta printer support
This release adds support for printers with elliptic buildplates. This feature has not been extensively tested so please let us know if it works or get involved in improving it.

*AppImage for Linux
The Linux distribution is now in AppImage format, which makes Cura easier to install.

*bugfixes
The user is now notified when a new version of Cura is available.
When searching in the setting visibility preferences, the category for each setting is always displayed.
3MF files are now saved and loaded correctly.
Dragging a profile onto Cura now loads it automatically.
You can now view which print cores and materials are currently in your Ultimaker 3, via the machine manager.
You can now add the heated bed upgrade etc. from the machine manager.
Print core and material is now arranged under extruder tabs.
Cura now remembers all printers and profiles when you open just after closing it.
You can now duplicate the standard profiles.
Layer view now doesn’t use as much RAM.
It’s now quicker to change the value of the Support Enable setting.
Changing a setting updates all dependent settings more quickly.
Having errors in your setting values now always blocks slicing.
Selecting a model with any active tool no longer causes a reslice.
The prime poop now introduces a separate area where you cannot print.
Support Extruder setting is now near the support settings.
Build Plate Adhesion Extruder setting is now near the build plate adhesion settings.
Z hop settings have been moved to the Travel category.
Inactive nozzle wiping on the prime tower is re-enabled.
There are no more unnecessary retractions in support.
Each layer now has less extruder switches than the machine has extruders.
Concentric infill doesn’t generate the first infill perimeter next to the walls.
Extruder priming now always happens on the first layer.
Raising the build plate of the Ultimaker 2 now has the proper speed again.
Changing material while the Ultimaker 2 is paused works again.

[2.3.1]
*Layer Height in Profile Selection
Added the layer height to the profile selection menu.

*Bug fixes
Fixed the option to import g-code from related machines as a profile
Fixed a bug where editing material settings has no effect on 3D prints
Fixed an issue with automatic profile importing on Cura 2.1 on Mac OSX
Fixed an inheritance issue for dual extrusion
Fixed an issue with "i" symbol updates
Fixed a freeze that can occur while printing via Wi-Fi

[2.3.0]
*Multi Extrusion Support
Machines with multiple extruders are now supported. Ultimaker 3 printers and Ultimaker Original printers with dual extrusion upgrade kit are currently supported.

*Network Printing for Ultimaker 3
Sending a print to an Ultimaker 3 remotely via the network is now possible. Requires Wi-Fi or LAN to connect to the printer.

*Print Monitoring for Ultimaker 3
You can monitor your print on an Ultimaker 3 with a live camera feed. Requires Wi-Fi or LAN to connect to the printer.

*Material and Print Core Synchronization
Connecting to an Ultimaker 3 now gives you the option to synchronize the materials in Cura with what is loaded in the printer.

*Speed improvements
The first thing you will notice is the speed. STL loading is now 10 to 20 times faster, layer view is significantly faster and slicing speed is slightly improved.

*Improved Position Tool
Place objects precisely where you want them by manually entering the values for the position.

*Custom Machine Support
It’s now much easier to use Cura with custom machines. You can edit the machine settings when you load a new custom machine.

*Improved Grouping
It's now possible to transform objects that are already grouped.
Select an individual item in a group or merged object and edit as usual. Just Ctrl + Click and edit away.

*Enhanced Profile Management
Profile management is improved. You can now easily see and track changes made to your profiles.

*Improved Setting Visibility
Make multiple settings visible at the same time with a checkbox. The Visibility Overview setting indicates why a setting is not shown in the sidebar even if it is enabled.

*Improved time estimation
Time estimations are more accurate. Based on our test time estimations should be within 5% accuracy for Ultimaker printers.

*Optional G-code Machine Prefix
Disable the g-code prefix in Preferences. No more UM2_ on your printer display!

*Print Weight Estimates
Cura now estimates print weight as well as length.

*Automatic Import Configuration
Configurations from older installations of Cura 2.1 are automatically imported into the newest installation.

*Slicing features
*Infill Types
Two new infill types are now introduced: Tetrahedral and Cubic. They change along with the Z-axis for more uniform strength in all directions. There are now seven infill types to choose from.

*Gradual Infill
Gradual infill lets users adjust infill density, based on the distance from the top layers. This offers faster printing and reduced material requirements, whilst maintaining surface quality.

*Set Acceleration and Jerk by Feature
You can now set Jerk and Acceleration by feature-type (infill, walls, top/bottom, etc), for more precision.

*Outer Wall Offset
If your outer wall line width is smaller than your nozzle size, move the nozzle a bit inward when printing the outer wall, to improve surface quality.

*Enhanced Combing
The “No Skin” option allows you to comb over infill only to avoid scars on top surfaces.

*Z Hop
Can’t avoid previously printed parts by horizontal moves? The Z Hop Only Over Printed Parts gives you the ability to Z Hop to avoid collisions for better surface quality.

*Skin and Wall Overlap
The Skin Overlap setting allows you to overlap the skin lines with the walls for better adhesion.

*Adjust Initial Layer Travel Speed
Set the travel speed of the initial layer(s) to reduce risk of extruder pulling the print from the bed.

*Support Interface
It is now possible to print a support bottom as well as a support roof. Support bottoms are placed where the support rests on the model. Printing the support interface with PVA leads to improved surface quality.

*Bug fixes
Deleting grouped objects
Duplicating groups
Bridging
Drag and drop (first Windows run)
Unretraction speeds
Bottom layer in Spiralize mode
Overlap Compensation
Raft retractions
Retractions now occur after each object printed in one-at-a-time mode
Rafts are no longer printed outside of build area
Spiralize no longer limited to the first printed segment only
Line distance is now the actual line distance
Enabling raft doesn’t influence at which height the model is sliced any more
Brim is now always printed just once
Support roofs now only occur just below overhang

*Minor changes
Message display time increased to 30 seconds
Notification if you try to save to a locked SD card
Engine log now included in the application log
Undo and Redo now function with multiple operations
The last used folder is now remembered rather than defaulting to home folder
Import X3D files
Made it possible to add multiple Per Model Settings at once
Bed Level and Checkup procedures for UMO+ can be performed without re-adding machine
Combing applied in more cases and results in better paths
Infill thickness now supports Grid infill also for even multiples of the layer height
Support is no longer removed by unprintable thin parts of the model
Support generated on each appropriate layer
Support no longer goes outside overhang areas
Support no longer removes brim around the object
Brim is now also generated under the support
Draft and Ooze shield get their own brim or raft
Settings shared between skirt and brim now also activate when brim is selected
Compensate overlapping wall parts now also works for inner walls
Bed lowering speed can be adjusted for each layer

[2.1.3]

*Material Profiles
New material profiles for CPE+, PC, Nylon and TPU for the Ultimaker 2+ family.

[2.1.2]

Cura has been completely reengineered from the ground up for an even more seamless integration between hardware, software and materials. Together with its intuitive new user interface, it’s now also ready for any future developments. For the beginner Cura makes 3D printing incredibly easy, and for more advanced users, there are over 200 customizable settings.

*Select Multiple Objects
You now have the freedom to select and manipulate multiple objects at the same time.

*Grouping
You can now group objects together to make it easier to manipulate multiple objects.

*Undo/Redo
You can now undo and redo your actions, like moving an object or scaling.

*Setting Profiles
The new GUI allows custom profiles to load easily and intuitively, directly from Cura.

*3MF File Loading Support
We’re happy to report we now support loading 3MF files. This is a new file format similar to AMF, but freely available.

*Intuitive Cut-Off Object Bottom
We’ve added a feature that allows you to move objects below the build plate. You can either correct a model with a rough bottom, or print only a part of an object. Please note that the implementation differs greatly from the old one when it was just a setting.

*64-bit Windows Builds
An optimized 64-bit Windows Cura version is now available. This allows you to load larger model files.

*Automatic calculations
Cura allows you to set a number of lines/layers instead of millimeters. The engine automatically calculates the right settings.

*Per-Object Settings
Per-object settings allow you to override individual profile settings per object.

*Engine Features

*Line Width
Line width settings added per feature: Global, Walls, Top/Bottom, Infill, Skirt, Support.

*Pattern Settings
Pattern settings improved per feature: Top/Bottom, Infill, Support.

*Shell

*Alternate Skin Rotation
Helps to combat the pillowing problem on top layers.

*Alternate Extra Wall
For better infill adhesion.

*Horizontal Expansion
Allows to compensate model x,y-size to get a 1:1 result.

*Travel

*Avoid Printed Parts
When moving to the next part to print, avoid collisions between the nozzle and other parts which are already printed.

*Support

*Stair Step Height
Sets the balance between sturdy and hard to remove support. By setting steps of the stair-like bottom of the support resting on the model.

*ZigZag
A new, infill type that’s easily breakable, introduced specially for support.

*Support Roofs
A new sub-feature to reduce scars the support leaves on overhangs.

*Support Towers
Specialized support for tiny overhang areas.

*Special Modes

*Surface Mode
This mode will print the surface of the mesh instead of the enclosed volume. This used to be called ‘Only follow mesh surface’. In addition to the ‘surface mode’ and ‘normal’, a ‘both’ mode has now been added. This ensures all closed volumes are printed as normal and all loose geometry as single walls.

*Experimental Features

*Conical Support
An experimental filament, cost-reduction feature, for support.

*Draft Shield
Prints a protective wall at a set distance around the object that prevents air from hitting the print, reducing warping.

*Fuzzy Skin
Prints the outer walls with a jittering motion to give your object a diffuse finish.

*Wire Printing
The object is printed with a mid-air / net-like structure, following the mesh surface. The build plate will move up and down during diagonal segments. Though not visible in layer view, you can view the result in other software, such as Repetier Host or http://chilipeppr.com/tinyg.


[15.06 Beta]

Cura 15.06 is a new release built from the ground up on a completely new
framework called Uranium. This framework has been designed to make it easier to
extend Cura with additional functionality as well as provide a cleaner UI.

[15.05.95]

* Fixed: Selection ghost remains visible after deleting an object
* Fixed: Window does not show up immediately after starting application on OSX
* Fixed: Added display of rotation angle during rotation
* Fixed: Object changes position while rotating/scaling
* Fixed: Loading improvements in the layer view
* Fixed: Added application icons
* Fixed: Improved feedback when loading models
* Fixed: Eject device on MacOSX now provides proper feedback
* Fixed: Make it possible to show retraction settings for UM2
* Fixed: Opening the machine preferences page will switch to the first available machine
* Fixed: Improved tool handle hit area size
* Fixed: Render lines with a thickness based on screen DPI

[15.05.94]

* Added Russian translations
* Fixed: Infill not displayed in layer view
* Fixed: Cannot select/scale/rotate when first activating the tool and then trying to select a model.
* Fixed: Improved font rendering on Windows
* Fixed: Help > Show Documentation crashes Cura on Windows
* Fixed: "There is no disk in the drive" repeating messages on Windows
* Fixed: Retraction settings not visible for Ultimaker2
* Fixed: Display rotation angle when rotating an object
* Fixed: Time/Quality slider values are properly rounded
* Fixed: Improved clarity of buttons and text
* Fixed: No indication that anything is happening when loading a model
* Fixed: Eject device now works on Windows

[15.05.93]

* Fixed: No shortcuts for moving up/down layers in layer view.
* Fixed: Last view layers could not be scrolled through in layer view.
* Fixed: Files provided on command line would not actually show up on the build
  platform.
* Fixed: Render a ghost of the selection in Layer view to make the actual object
  position clear.
* Fixed: Showing a menu would clear the selection.
* Fixed: Size and scaling factor display for scale tool.
* Fixed: Missing background for additional tool controls.
* Fixed: Loading message times out when loading large files.
* Fixed: Show recent files in the file menu.
* Fixed: Windows installer will now install MSVC 2010 redistributable, to
  prevent issues with missing DLL's.
* Fixed: Collapsed/expanded state of setting categories not stored.

[15.05.91]

* There is now a working MacOSX version. Currently it supports OSX 10.7 and
  higher.
* Fixed: Need to deselect before selecting a different object.
* Fixed: Object can be moved on Z axis.
* Fixed: Error values should be considered invalid values and will not trigger a
  slice.
* Fixed: Text fields used a locale-aware validator while the underlying code did
  not.
* Fixed: Text fields will trigger a slice on text change, not only after focus
  change/enter press.
* Fixed: Rotate Tool snaps to incorrect value.
* Fixed: Object Collision would only moved objects to the right.
* Fixed: Object Collision would move the selected object when it should not.
* Fixed: Camera panning now works correctly instead of doing nothing.
* Fixed: Camera would flip around center point at maximum rotation.
* Fixed: Build platform grid blocked view from below objects.
* Fixed: Viewport on MacOSX with high-DPI screens was only taking 1/4th of the
window

[15.05.90]

* Fixed: Additional UI elements for tools and views not loading.
* Fixed: Double click needed to change setting dialog page.
* Fixed: Context menu entries (reload, center object, etc.) not working.
* Fixed: "Open With" or passing files from command line not working.
* Fixed: "Reload All" would not reload files.

In addition, a lot of work has gone into getting a usable Mac OSX version.

New Features
------------

* Plugin based system
  The Uranium framework provides us with a plugin-based system
  that provides additional flexibility when extending Cura. Think
  of new views, tools, file formats, etc. This is probably the
  biggest new feature.
* Improved UI
  The UI has received a complete overhaul.
* Time-Quality Slider
  The 4 static quick print profiles have been replaced with
  a slider that should make it easier to find the right spot
  between print time and print quality.
* More Settings
  The Advanced mode is now configurable and can show many
  additional settings that were previously not available, while at
  the same time not overwhelming new users with too many settings.
  Custom set of visible settings can be created by the user.
* Support for high-DPI screens
  The refreshed UI has been designed with high-DPI screens in
  mind which should improve the experience of Cura on such
  devices.
* Improved language support
  (Not yet available for the Beta release.)
* Improved support structure generation
  The new version of the CuraEngine now features improved
  support generation algorithms and additional options for support
  structure generation.
* Experimental Feature: Wire Printing
  Wire Printing has been added as an experimental new feature. It
  will print objects as a structure of lines. It can be enabled by
  from Advanced Mode -> Fixes -> Wire Printing.
* Undo/Redo
  It is now possible to undo and redo most scene operations, like
  moving or rotating objects.

Features from earlier versions not (yet) in this release
--------------------------------------------------------

* The All-at-once/One-at-a-time toggle is not available.
  We are working on an improved implementation of this mechanism
  but it will not be available for this release.
* No dual extrusion features are available yet.
  We are working on a completely new workflow for this but this
  needs additional time.
* “Lay Flat” has been removed.
  The existing implementation was unfortunately not salvageable.
  We will be looking into an improved implementation for this
  feature.
* "Split Object Into Parts" has been removed.
  Due to the same reason as Lay Flat.
* Support for AMF and DAE file formats has been removed.
  Both of these will be implemented as plugins in the future.
* Support for directly loading a GCode file is not yet available.
  This will be implemented as a plugin in the future.
* Support for PNG, JPG and other image formats has been removed.
  These can be supported by a plugin with an improved UI.
* Support for loading Minecraft levels has been removed.
  This can be implemented as a plugin.
* Windows XP support has been dropped.
  Microsoft is no longer supporting xp, so they no longer back
  port certain features that we require.
* X-Ray view is missing.
  Will be implemented as a (you might have guessed it) plugin.
* Fixes: Follow Mesh Surface
  Has been removed from the engine, the same result can be
  achieved using no infill or top/bottom layers.

Known Issues
------------
* Some OBJ files are rendered as black objects due to missing
  normals.
* Disabling plugins does not work correctly yet.
* Unicorn occasionally still requires feeding. Do not feed it
  after midnight.
